
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef viman_ERROR_H
#define viman_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_viman    (20210)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_viman_CANNOT_FIND_OBJECT   H2_ENCODE_ERR(M_viman     , 1)
#define S_viman_SUCCESS              H2_ENCODE_ERR(M_viman     , 2)
#define S_viman_TRACKING_ACTIVATION_FAILED H2_ENCODE_ERR(M_viman     , 3)
#define S_viman_CANNOT_READ_CONFIG_FILE H2_ENCODE_ERR(M_viman     , 4)
#define S_viman_CANNOT_READ_POSTER   H2_ENCODE_ERR(M_viman     , 5)
#define S_viman_POSTER_NOT_FOUND     H2_ENCODE_ERR(M_viman     , 6)
#define S_viman_CANNOT_OPEN_VIDEO_STREAM H2_ENCODE_ERR(M_viman     , 7)
#define S_viman_OPENCV_QUERY_FRAME_PROBLEM H2_ENCODE_ERR(M_viman     , 8)
#define S_viman_VIDEO_MODE_INCONSISTENCY H2_ENCODE_ERR(M_viman     , 9)
#define S_viman_NO_VIDEO_MODE_IS_DEFINED H2_ENCODE_ERR(M_viman     , 10)
#define S_viman_VIMAN_UNINITIALIZED  H2_ENCODE_ERR(M_viman     , 11)


/* std errors */
#define S_viman_stdGenoM_ACTIVITY_INTERRUPTED       1324540929   /* 20210<<16 | 0x8000 | 100<<8 | 1 */
#define S_viman_stdGenoM_TOO_MANY_ACTIVITIES        1324540930   /* 20210<<16 | 0x8000 | 100<<8 | 2 */
#define S_viman_stdGenoM_ACTIVITY_FAILED            1324540931   /* 20210<<16 | 0x8000 | 100<<8 | 3 */
#define S_viman_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 1324540932   /* 20210<<16 | 0x8000 | 100<<8 | 4 */
#define S_viman_stdGenoM_UNKNOWN_ACTIVITY           1324540933   /* 20210<<16 | 0x8000 | 100<<8 | 5 */
#define S_viman_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 1324540934   /* 20210<<16 | 0x8000 | 100<<8 | 6 */
#define S_viman_stdGenoM_SYSTEM_ERROR               1324540935   /* 20210<<16 | 0x8000 | 100<<8 | 7 */
#define S_viman_stdGenoM_ACTIVITY_ALREADY_ENDED     1324540936   /* 20210<<16 | 0x8000 | 100<<8 | 8 */
#define S_viman_stdGenoM_WAIT_INIT_RQST             1324540937   /* 20210<<16 | 0x8000 | 100<<8 | 9 */
#define S_viman_stdGenoM_CONTROL_CODEL_ERROR        1324540938   /* 20210<<16 | 0x8000 | 100<<8 | 10 */
#define S_viman_stdGenoM_EXEC_TASK_SUSPENDED        1324540939   /* 20210<<16 | 0x8000 | 100<<8 | 11 */
#define S_viman_stdGenoM_BAD_BLOCK_TYPE             1324540940   /* 20210<<16 | 0x8000 | 100<<8 | 12 */
#define S_viman_stdGenoM_BAD_POSTER_TYPE            1324540941   /* 20210<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define VIMAN_H2_ERR_MSGS {\
    {"CANNOT_FIND_OBJECT", 1}, \
    {"SUCCESS", 2},\
    {"TRACKING_ACTIVATION_FAILED", 3},\
    {"CANNOT_READ_CONFIG_FILE", 4},\
    {"CANNOT_READ_POSTER", 5},\
    {"POSTER_NOT_FOUND", 6},\
    {"CANNOT_OPEN_VIDEO_STREAM", 7},\
    {"OPENCV_QUERY_FRAME_PROBLEM", 8},\
    {"VIDEO_MODE_INCONSISTENCY", 9},\
    {"NO_VIDEO_MODE_IS_DEFINED", 10},\
    {"VIMAN_UNINITIALIZED", 11},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int vimanRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
