
/* 
 * Copyright (c) 1993-2003,2012 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef viman_POSTER_LIB_H
#define viman_POSTER_LIB_H

#include "posterLib.h"
#include "genom/genom.h"

/* Types definis ou utilises par le module */
#include "vimanType.h"
#include "vimanError.h"

/* 
 * Definition de la SDI_C 
*/
typedef struct {
  CNTRL_TASK_DESCRIPTION cntrlTask;
  EXEC_TASK_DESCRIPTION execTaskTab[VIMAN_NB_EXEC_TASK];
  ACTIVITY_DESCRIPTION activityTab[MAX_ACTIVITIES];
} VIMAN_CNTRL_STR;

/* For consistency with other posters */
typedef VIMAN_CNTRL_STR VIMAN_CNTRL_POSTER_STR;
 
/* 
 * Definition des structures de posters
 */
#include "vimanPosterLibStruct.h"



/* Posters */
#define VIMAN_CNTRL_POSTER_NAME genomInstanceSuffixName("viman", "Cntrl")
#define VIMAN_OBJECTPOSEEXPORTED_POSTER_NAME genomInstanceSuffixName("viman", "ObjectPoseExported")
#define VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_NAME genomInstanceSuffixName("viman", "FilteredObjectPoseExported")
#define VIMAN_OBJECTPOSE_POSTER_NAME genomInstanceSuffixName("viman", "ObjectPose")
#define VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_NAME genomInstanceSuffixName("viman", "TimeOfLastTrackedImage")


/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif
extern STATUS vimanPosterInit ( void );
extern POSTER_ID vimanCntrlPosterID ();
extern STATUS vimanCntrlPosterRead ( VIMAN_CNTRL_STR *vimanCntrlStrId );
extern STATUS vimanCntrlPosterInit ( void );
extern STATUS vimanCntrlInstancePosterRead(const char *name, VIMAN_CNTRL_STR *vimanCntrlStrId);
extern STATUS vimanObjectPoseExportedPosterInit ( void );
extern POSTER_ID vimanObjectPoseExportedPosterID ( void );
extern STATUS vimanObjectPoseExportedPosterRead ( VIMAN_OBJECTPOSEEXPORTED_POSTER_STR *x );
extern STATUS vimanObjectPoseExportedInstancePosterRead ( const char *, VIMAN_OBJECTPOSEEXPORTED_POSTER_STR * );
extern STATUS vimanObjectPoseExportedobjectExportedPosterRead ( GENMANIP_POSE_STR *objectExported );
extern STATUS vimanObjectPoseExportedobjectExportedInstancePosterRead( const char *, GENMANIP_POSE_STR * );
extern STATUS vimanFilteredObjectPoseExportedPosterInit ( void );
extern POSTER_ID vimanFilteredObjectPoseExportedPosterID ( void );
extern STATUS vimanFilteredObjectPoseExportedPosterRead ( VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR *x );
extern STATUS vimanFilteredObjectPoseExportedInstancePosterRead ( const char *, VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR * );
extern STATUS vimanFilteredObjectPoseExportedfilteredobjectExportedPosterRead ( GENMANIP_POSE_STR *filteredobjectExported );
extern STATUS vimanFilteredObjectPoseExportedfilteredobjectExportedInstancePosterRead( const char *, GENMANIP_POSE_STR * );
extern STATUS vimanObjectPosePosterInit ( void );
extern POSTER_ID vimanObjectPosePosterID ( void );
extern STATUS vimanObjectPosePosterRead ( VIMAN_OBJECTPOSE_POSTER_STR *x );
extern STATUS vimanObjectPoseInstancePosterRead ( const char *, VIMAN_OBJECTPOSE_POSTER_STR * );
extern STATUS vimanObjectPoseobjectPublicArrayPosterRead ( VimanObjectPublicArray *objectPublicArray );
extern STATUS vimanObjectPoseobjectPublicArrayInstancePosterRead( const char *, VimanObjectPublicArray * );
extern STATUS vimanTimeOfLastTrackedImagePosterInit ( void );
extern POSTER_ID vimanTimeOfLastTrackedImagePosterID ( void );
extern STATUS vimanTimeOfLastTrackedImagePosterRead ( VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR *x );
extern STATUS vimanTimeOfLastTrackedImageInstancePosterRead ( const char *, VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR * );
extern STATUS vimanTimeOfLastTrackedImagetimePosterRead ( VimanTime *time );
extern STATUS vimanTimeOfLastTrackedImagetimeInstancePosterRead( const char *, VimanTime * );
#ifdef __cplusplus
}
#endif
#endif

