
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef VIMAN_SCAN_H
#define VIMAN_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/viamScan.h"

#include "server/genManipScan.h"

#include "server/genBasicScan.h"


/* Structures du module */
#include "vimanPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR ( FILE *in, FILE *out,
       struct VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_VIMAN_OBJECTPOSE_POSTER_STR ( FILE *in, FILE *out,
       struct VIMAN_OBJECTPOSE_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR ( FILE *in, FILE *out,
       struct VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_VIMAN_OBJECTPOSEEXPORTED_POSTER_STR ( FILE *in, FILE *out,
       struct VIMAN_OBJECTPOSEEXPORTED_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_VIMAN_STR ( FILE *in, FILE *out,
       struct VIMAN_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_VimanImage ( FILE *in, FILE *out,
       struct VimanImage *x, int indent, int nDim, int *dims );
extern int scan_struct_VimanInitStr ( FILE *in, FILE *out,
       struct VimanInitStr *x, int indent, int nDim, int *dims );
extern int scan_enum_VimanInputStream ( FILE *in, FILE *out,
       enum VimanInputStream *x, int indent, int nDim, int *dims );
extern int scan_struct_VimanObjectPublicArray ( FILE *in, FILE *out,
       struct VimanObjectPublicArray *x, int indent, int nDim, int *dims );
extern int scan_struct_VimanObjectArray ( FILE *in, FILE *out,
       struct VimanObjectArray *x, int indent, int nDim, int *dims );
extern int scan_struct_VimanObjectPublic ( FILE *in, FILE *out,
       struct VimanObjectPublic *x, int indent, int nDim, int *dims );
extern int scan_enum_VimanObjSymMotion ( FILE *in, FILE *out,
       enum VimanObjSymMotion *x, int indent, int nDim, int *dims );
extern int scan_struct_VimanTime ( FILE *in, FILE *out,
       struct VimanTime *x, int indent, int nDim, int *dims );
extern int scan_struct_VimanObject ( FILE *in, FILE *out,
       struct VimanObject *x, int indent, int nDim, int *dims );
extern int scan_enum_VimanBool ( FILE *in, FILE *out,
       enum VimanBool *x, int indent, int nDim, int *dims );
extern int scan_struct_VimanEuler ( FILE *in, FILE *out,
       struct VimanEuler *x, int indent, int nDim, int *dims );
extern int scan_struct_VimanThetaMat ( FILE *in, FILE *out,
       struct VimanThetaMat *x, int indent, int nDim, int *dims );
extern int scan_struct_VimanPoint2D ( FILE *in, FILE *out,
       struct VimanPoint2D *x, int indent, int nDim, int *dims );
extern int scan_struct_VimanCorrectionVec ( FILE *in, FILE *out,
       struct VimanCorrectionVec *x, int indent, int nDim, int *dims );
extern int scan_struct_VimanMotionMat ( FILE *in, FILE *out,
       struct VimanMotionMat *x, int indent, int nDim, int *dims );
extern int scan_struct_VimanString ( FILE *in, FILE *out,
       struct VimanString *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_VimanString ( FILE *in, FILE *out,
       VimanString *x, int indent, int nDim, int *dims );
extern int scan_VimanMotionMat ( FILE *in, FILE *out,
       VimanMotionMat *x, int indent, int nDim, int *dims );
extern int scan_VimanCorrectionVec ( FILE *in, FILE *out,
       VimanCorrectionVec *x, int indent, int nDim, int *dims );
extern int scan_VimanPoint2D ( FILE *in, FILE *out,
       VimanPoint2D *x, int indent, int nDim, int *dims );
extern int scan_VimanThetaMat ( FILE *in, FILE *out,
       VimanThetaMat *x, int indent, int nDim, int *dims );
extern int scan_VimanEuler ( FILE *in, FILE *out,
       VimanEuler *x, int indent, int nDim, int *dims );
extern int scan_VimanBool ( FILE *in, FILE *out,
       VimanBool *x, int indent, int nDim, int *dims );
extern int scan_VimanObject ( FILE *in, FILE *out,
       VimanObject *x, int indent, int nDim, int *dims );
extern int scan_VimanTime ( FILE *in, FILE *out,
       VimanTime *x, int indent, int nDim, int *dims );
extern int scan_VimanObjSymMotion ( FILE *in, FILE *out,
       VimanObjSymMotion *x, int indent, int nDim, int *dims );
extern int scan_VimanObjectPublic ( FILE *in, FILE *out,
       VimanObjectPublic *x, int indent, int nDim, int *dims );
extern int scan_VimanObjectArray ( FILE *in, FILE *out,
       VimanObjectArray *x, int indent, int nDim, int *dims );
extern int scan_VimanObjectPublicArray ( FILE *in, FILE *out,
       VimanObjectPublicArray *x, int indent, int nDim, int *dims );
extern int scan_VimanInputStream ( FILE *in, FILE *out,
       VimanInputStream *x, int indent, int nDim, int *dims );
extern int scan_VimanInitStr ( FILE *in, FILE *out,
       VimanInitStr *x, int indent, int nDim, int *dims );
extern int scan_VimanImage ( FILE *in, FILE *out,
       VimanImage *x, int indent, int nDim, int *dims );
extern int scan_VIMAN_STR ( FILE *in, FILE *out,
       VIMAN_STR *x, int indent, int nDim, int *dims );
extern int scan_VIMAN_OBJECTPOSEEXPORTED_POSTER_STR ( FILE *in, FILE *out,
       VIMAN_OBJECTPOSEEXPORTED_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR ( FILE *in, FILE *out,
       VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_VIMAN_OBJECTPOSE_POSTER_STR ( FILE *in, FILE *out,
       VIMAN_OBJECTPOSE_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR ( FILE *in, FILE *out,
       VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* VIMAN_SCAN_H */

